### Hierarchy

- Parser

## Index

### Constructors

- constructor

### Methods

- parse
- parseToAST

## Constructors

### constructor

- new Parser(): Parser

- - Defined in parser/parser.ts:14

  #### Returns Parser

## Methods

### parse

- parse(code: string): object

- - Defined in parser/parser.ts:33

  #### Parameters

  - ##### code: string

  #### Returns object

  - ##### data: GameData

### parseToAST

- parseToAST(code: string): IASTGame<UP | DOWN | LEFT | RIGHT | ACTION | STATIONARY | RANDOMDIR | RELATIVE_LEFT | RELATIVE_RIGHT | RELATIVE_UP | RELATIVE_DOWN, string, string, number | ".">

- - Defined in parser/parser.ts:18

  #### Parameters

  - ##### code: string

  #### Returns IASTGame<UP | DOWN | LEFT | RIGHT | ACTION | STATIONARY | RANDOMDIR | RELATIVE_LEFT | RELATIVE_RIGHT | RELATIVE_UP | RELATIVE_DOWN, string, string, number | ".">

Generated using TypeDoc